# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%ifarch %ix86 x86_64
%define msse_flags -msse -mfpmath=sse
%endif

Name:           radium-compressor
Version:        0.5.1
Release:        alt1_4
Summary:        An audio compressor for JACK

Group:          Sound
License:        GPLv3+
URL:            http://users.notam02.no/~kjetism/radium/
Source0:        http://archive.notam02.no/arkiv/src/radium_compressor-0.5.1.tar.gz
Source1:        radium-compressor.desktop
Patch0:         radium_compressor-0.5.1-cstdlib.patch
BuildRequires:  libjack-devel
BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Radium Compressor is the system compressor in Radium,
but distributed as a standalone jack application.

Radium Compressor uses the stereo compressor found in
effect.lib in the Faust distribution. 

%prep
%setup -q -n radium_compressor-%{version}
%patch0 -p1
find -name "*.h" -exec chmod 0644 {} \;
# see https://bugzilla.redhat.com/show_bug.cgi?id=904658 for 
# justification of non-standard optflags
sed -i -e 's|-O3 -Wall -msse -mfpmath=sse|%{optflags} %{?msse_flags} -O3|' Makefile

%build
make %{?_smp_mflags}

%install
install -p -D -m0755 radium_compressor %{buildroot}%{_bindir}/radium_compressor
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %SOURCE1

%files
%doc README COPYING Changelog
%{_bindir}/radium_compressor
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.1-alt1_4
- initial fc import

